package de.tud.kom.p2psim.api.topology;

import de.tud.kom.p2psim.api.common.SimHost;
import de.tud.kom.p2psim.api.topology.movement.MovementModel;
import de.tud.kom.p2psim.api.topology.placement.PlacementModel;

/**
 * A factory creating {@link TopologyComponent}s.
 *
 * @author Tim Feuerbach
 */
public interface TopologyComponentFactory {
    public TopologyComponent createComponent(SimHost host, Topology topology, MovementModel movementModel, PlacementModel placementModel);
}
