package de.tud.kom.p2psim.impl.loadgen;

import de.tud.kom.p2psim.impl.loadgen.config.Request;
import de.tudarmstadt.maki.simonstrator.api.Host;

// TODO: maybe move to API package

/**
 * interface for {@link Host}s in order to be able to invoke {@link Request}.
 * 
 * @author Simon
 * @version 1.0, 16.06.2016
 */
public interface RequestInvokable {

	/**
	 * resolves the given request in the overlay.
	 * 
	 * @param request
	 */
	public void invokeRequest(Request request);

}
